org.eclipse.graphiti.internal.util

## Class T

- java.lang.Object
- - org.eclipse.graphiti.internal.util.AbstractTracer
  - - org.eclipse.graphiti.internal.util.T

    public final class T
    extends AbstractTracer

This class inherits from `org.eclipse.graphiti.util.AbstractTracer`. Use it to add trace output for the plugin `org.eclipse.graphiti`

See Also:
  `AbstractTracer`

### Method Summary

All Methods Static Methods Concrete Methods
`static T` `racer()` returns an instance of `org.eclipse.graphiti.util.AbstractTracer`

### Methods inherited from class org.eclipse.graphiti.internal.util.AbstractTracer

`debug, debug, debug, entering, error, error, error, exiting, exiting, getInfoAlwaysTrue, info, info, info, log, log, setDebugLogging, setInfoAlwaysTrue, setInfoLogging, warning, warning, warning`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### racer

    public static T racer()

returns an instance of `org.eclipse.graphiti.util.AbstractTracer`